"""This is an example urlscheme decorator."""

__docformat__ = "restructuredtext"

# Created: Sat Apr 30 19:07:52 PDT 2005
# Author: Shannon -jj Behrens
# Email: jjinux@users.sourceforge.net
#
# Copyright (c) Shannon -jj Behrens.  All rights reserved.

from aquarium.urlscheme.decorator.UrlSchemeDecorator import UrlSchemeDecorator 


class Backwards(UrlSchemeDecorator):

    """This is an example urlscheme decorator.

    Actually, it's the example used in the
    aquarium.urlscheme.decorator.UrlSchemeDecorator_ documentation.  It makes
    the URLs visible to the user appear backwards :)

    .. _aquarium.urlscheme.decorator.UrlSchemeDecorator:
       aquarium.urlscheme.decorator.UrlSchemeDecorator.UrlSchemeDecorator-class.html

    """
    
    def screen(self, screen, *args, **kargs):
        """Return a dynamic URL for the given screen."""
        return self.inner.screen(screen[::-1], *args, **kargs)

    def whichScreen(self):
        """Which screen does the user want to view?"""
        screen = self.inner.whichScreen()
        if isinstance(screen, str):
            screen = screen[::-1]
        return screen
