"""This is the base class for most Aquarium classes."""

__docformat__ = "restructuredtext"

# Created: Tue Mar 13 21:23:44 PST 2001
# Author: Shannon -jj Behrens
# Email: jjinux@users.sourceforge.net
#
# Copyright (c) Shannon -jj Behrens.  All rights reserved.


class AquariumClass:

    """This is the base class for most Aquarium classes.

    An AquariumClass is simply a class that:

    * has a aquarium.util.Context_ instance named ``_ctx``.
    * is within a module with the same name as the class.  (Because
      of this, I sometimes use the words module and class somewhat
      interchangeably.)

    The following private variables are used:

    _ctx
      This is our reference to ``ctx``.

    .. _aquarium.util.Context: aquarium.util.Context.Context-class.html

    """

    def __init__(self, ctx):
        """Set a reference to ``ctx``.

        You should not override this method.  Extend it instead.

        """
        self._ctx = ctx
