"""This servertype is for normal sockets and normal threads."""

__docformat__ = "restructuredtext"

import socket
import threading


class Standard:

    """This servertype is for normal sockets and normal threads."""

    def create_socket(self):
        """Create a new socket.

        Note, if this method created SSL sockets, after defining the method, I
        would also do::

            create_socket.is_secure = True

        """
        return socket.socket(socket.AF_INET, socket.SOCK_STREAM)

    def create_thread(self, f, *args, **kargs):
        """Call ``f(*args, **kargs)`` in a new thread."""
        name = "%s(*%s, **%s)" % (f.__name__, `args`, `kargs`)
        threading.Thread(target=f, name=name, args=args, kwargs=kargs).start()
